package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/11/29 14:45
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GamePolicyConfigListVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 超父游戏id
     */
    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    /**
     * 超父游戏名称
     */
    @ApiModelProperty("超父游戏名称")
    private String superGameName;

    /**
     * 策略类型:1-追踪玩家;2-玩家流失;3-新用户追踪
     * 1:单笔充值金额大于XX,并且注册时间在XX小时内的玩家
     * 2:累计充值金额大于XX,并且最近游戏距今时间超过XX小时的玩家
     * 3:新用户注册创角首日充值大于XX的用户
     */
    @ApiModelProperty("策略类型:1-追踪玩家策略;2-玩家流失策略;3-新用户追踪策略")
    private Long type;

    /**
     * 金额
     */
    @ApiModelProperty("金额")
    private Long amount;

    /**
     * 时间（单位：小时）
     */
    @ApiModelProperty("时间（单位：小时）")
    private Long time;

    /**
     * 配置说明
     */
    private String configExplain;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    @ApiModelProperty("创建者")
    private Long createBy;

    /**
     * 创建者名称
     */
    @ApiModelProperty("创建者名称")
    private String createName;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    private Long updateBy;

    /**
     * 更新者名称
     */
    @ApiModelProperty("更新者名称")
    private String updateName;

}
